List Assessments
This endpoint allows listing the assessments of an institution in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://kong.api.toolzz.com.br/api/content/institution/avaliation/list?page=1&page_size=10' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "data": [ { "id": 123, "name": "<string>", "type": "<string>", "schools": [ { "id": 1, "name": "<string>" } ], "courses": [ { "id": 1, "name": "<string>" } ], "themes": [], "total_questions": 10 } ], "links": { "first": "<string>", "last": "<string>", "prev": null, "next": "<string>" }, "meta": { "current_page": 1, "from": 1, "last_page": 10, "path": "<string>", "per_page": 10, "to": 10, "total": 100 }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Query)
Section titled “URL Parameters (Query)”| Parameter | Type | Description | Required |
|---|---|---|---|
school_ids | string | School IDs, separated by comma (without spaces). | No |
course_ids | string | Course IDs, separated by comma (without spaces). | No |
tags | string | List of tags to filter assessments. Only assessments that have the selected tags will be returned. | No |
page | string | Page number for pagination. | No |
page_size | string | Amount of records per page. | No |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
data | array | List of assessments. |
data.id | number | Unique identifier of the assessment. |
data.name | string | Assessment name. |
data.type | string | Assessment type. |
data.schools | array | List of associated schools. |
data.schools.id | number | Unique identifier of the school. |
data.schools.name | string | School name. |
data.courses | array | List of associated courses. |
data.courses.id | number | Unique identifier of the course. |
data.courses.name | string | Course name. |
data.themes | array | List of associated themes. |
data.total_questions | number | Total number of questions in the assessment. |
links | object | Pagination links. |
links.first | string | URL of the first page. |
links.last | string | URL of the last page. |
links.prev | string | URL of the previous page. |
links.next | string | URL of the next page. |
meta | object | Pagination metadata. |
meta.current_page | number | Current page number. |
meta.from | number | Initial record of the current page. |
meta.last_page | number | Number of the last available page. |
meta.path | string | Base URL of the API endpoint. |
meta.per_page | number | Number of records per page. |
meta.to | number | Last record of the current page. |
meta.total | number | Total records found. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.